# GstMeta for LCEVC

## GstLcevcMeta

LCEVC data for LCEVC codecs

### Members

`meta` (GstMeta) –

parent GstMeta

`id` (gint) –

the id of the LCEVC meta

`enhancement_data` (GstBuffer *) –

the parsed LCEVC enhancement data

Since : 1.26

## GstCodecParsers.LcevcMeta

LCEVC data for LCEVC codecs

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`id` (Number) –

the id of the LCEVC meta

`enhancement_data` (Gst.Buffer) –

the parsed LCEVC enhancement data

Since : 1.26

## GstCodecParsers.LcevcMeta

LCEVC data for LCEVC codecs

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`id` (int) –

the id of the LCEVC meta

`enhancement_data` (Gst.Buffer) –

the parsed LCEVC enhancement data

Since : 1.26

### Functions

#### gst_lcevc_meta_get_info

    const GstMetaInfo *
    gst_lcevc_meta_get_info ()

Gets the GstMetaInfo of the LCEVC meta.

Returns ( [transfer: none]) –

the GstLcevcMeta of the LCEVC meta.

Since : 1.26

#### GstCodecParsers.prototype.lcevc_meta_get_info

    function GstCodecParsers.prototype.lcevc_meta_get_info(): {
        // javascript wrapper for 'gst_lcevc_meta_get_info'
    }

Gets the Gst.MetaInfo of the LCEVC meta.

Returns (Gst.MetaInfo) –

the GstCodecParsers.LcevcMeta of the LCEVC meta.

Since : 1.26

#### GstCodecParsers.lcevc_meta_get_info

    def GstCodecParsers.lcevc_meta_get_info ():
        #python wrapper for 'gst_lcevc_meta_get_info'

Gets the Gst.MetaInfo of the LCEVC meta.

Returns (Gst.MetaInfo) –

the GstCodecParsers.LcevcMeta of the LCEVC meta.

Since : 1.26

## Functions

### gst_buffer_add_lcevc_meta

    GstLcevcMeta *
    gst_buffer_add_lcevc_meta (GstBuffer * buffer,
                               GstBuffer * enhancement_data)

Attaches GstLcevcMeta metadata to buffer.

Parameters:

`buffer` –

a GstBuffer

`enhancement_data` ( [transfer: none]) –

the parsed LCEVC enhancement data

Returns ( [transfer: none]) –

the GstLcevcMeta on buffer.

Since : 1.26

### GstCodecParsers.prototype.buffer_add_lcevc_meta

    function GstCodecParsers.prototype.buffer_add_lcevc_meta(buffer: Gst.Buffer, enhancement_data: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_add_lcevc_meta'
    }

Attaches GstLcevcMeta metadata to buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`enhancement_data` (Gst.Buffer) –

the parsed LCEVC enhancement data

Returns (GstCodecParsers.LcevcMeta) –

the GstCodecParsers.LcevcMeta on buffer.

Since : 1.26

### GstCodecParsers.buffer_add_lcevc_meta

    def GstCodecParsers.buffer_add_lcevc_meta (buffer, enhancement_data):
        #python wrapper for 'gst_buffer_add_lcevc_meta'

Attaches GstLcevcMeta metadata to buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`enhancement_data` (Gst.Buffer) –

the parsed LCEVC enhancement data

Returns (GstCodecParsers.LcevcMeta) –

the GstCodecParsers.LcevcMeta on buffer.

Since : 1.26

### gst_buffer_get_lcevc_meta

    GstLcevcMeta *
    gst_buffer_get_lcevc_meta (GstBuffer * buffer)

Find the GstLcevcMeta on buffer with the lowest id.

Buffers can contain multiple GstLcevcMeta metadata items when dealing with multiview buffers.

Parameters:

`buffer` –

a GstBuffer

Returns ( [transfer: none][nullable]) –

the GstLcevcMeta with lowest id (usually 0) or NULL when there is no such metadata on buffer.

Since : 1.26

### GstCodecParsers.prototype.buffer_get_lcevc_meta

    function GstCodecParsers.prototype.buffer_get_lcevc_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_get_lcevc_meta'
    }

Find the GstCodecParsers.LcevcMeta on buffer with the lowest id.

Buffers can contain multiple GstCodecParsers.LcevcMeta metadata items when dealing with multiview buffers.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstCodecParsers.LcevcMeta) –

the GstCodecParsers.LcevcMeta with lowest id (usually 0) or null when there is no such metadata on buffer.

Since : 1.26

### GstCodecParsers.buffer_get_lcevc_meta

    def GstCodecParsers.buffer_get_lcevc_meta (buffer):
        #python wrapper for 'gst_buffer_get_lcevc_meta'

Find the GstCodecParsers.LcevcMeta on buffer with the lowest id.

Buffers can contain multiple GstCodecParsers.LcevcMeta metadata items when dealing with multiview buffers.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstCodecParsers.LcevcMeta) –

the GstCodecParsers.LcevcMeta with lowest id (usually 0) or None when there is no such metadata on buffer.

Since : 1.26

### gst_buffer_get_lcevc_meta_id

    GstLcevcMeta *
    gst_buffer_get_lcevc_meta_id (GstBuffer * buffer,
                                  gint id)

Find the GstLcevcMeta on buffer with the given id.

Buffers can contain multiple GstLcevcMeta metadata items when dealing with multiview buffers.

Parameters:

`buffer` –

a GstBuffer

`id` –

a metadata id

Returns ( [transfer: none][nullable]) –

the GstLcevcMeta with id or NULL when there is no such metadata on buffer.

Since : 1.26

### GstCodecParsers.prototype.buffer_get_lcevc_meta_id

    function GstCodecParsers.prototype.buffer_get_lcevc_meta_id(buffer: Gst.Buffer, id: Number): {
        // javascript wrapper for 'gst_buffer_get_lcevc_meta_id'
    }

Find the GstCodecParsers.LcevcMeta on buffer with the given id.

Buffers can contain multiple GstCodecParsers.LcevcMeta metadata items when dealing with multiview buffers.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`id` (Number) –

a metadata id

Returns (GstCodecParsers.LcevcMeta) –

the GstCodecParsers.LcevcMeta with id or null when there is no such metadata on buffer.

Since : 1.26

### GstCodecParsers.buffer_get_lcevc_meta_id

    def GstCodecParsers.buffer_get_lcevc_meta_id (buffer, id):
        #python wrapper for 'gst_buffer_get_lcevc_meta_id'

Find the GstCodecParsers.LcevcMeta on buffer with the given id.

Buffers can contain multiple GstCodecParsers.LcevcMeta metadata items when dealing with multiview buffers.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`id` (int) –

a metadata id

Returns (GstCodecParsers.LcevcMeta) –

the GstCodecParsers.LcevcMeta with id or None when there is no such metadata on buffer.

Since : 1.26

### gst_lcevc_meta_api_get_type

    GType
    gst_lcevc_meta_api_get_type ()

Gets the GType of the LCEVC meta API.

Returns –

the GType of the LCEVC meta API.

Since : 1.26

### GstCodecParsers.prototype.lcevc_meta_api_get_type

    function GstCodecParsers.prototype.lcevc_meta_api_get_type(): {
        // javascript wrapper for 'gst_lcevc_meta_api_get_type'
    }

Gets the GObject.Type of the LCEVC meta API.

Returns (GObject.Type) –

the GObject.Type of the LCEVC meta API.

Since : 1.26

### GstCodecParsers.lcevc_meta_api_get_type

    def GstCodecParsers.lcevc_meta_api_get_type ():
        #python wrapper for 'gst_lcevc_meta_api_get_type'

Gets the GObject.Type of the LCEVC meta API.

Returns (GObject.Type) –

the GObject.Type of the LCEVC meta API.

Since : 1.26

## Constants

### GST_CAPS_FEATURE_META_GST_LCEVC_META

    #define GST_CAPS_FEATURE_META_GST_LCEVC_META "meta:GstLcevcMeta"

### GstCodecParsers.CAPS_FEATURE_META_GST_LCEVC_META

### GST_LCEVC_META_API_TYPE

    #define GST_LCEVC_META_API_TYPE (gst_lcevc_meta_api_get_type())

### GST_LCEVC_META_INFO

    #define GST_LCEVC_META_INFO  (gst_lcevc_meta_get_info())

The results of the search are